Package wx :: Package lib :: Module resizewidget :: Class ResizeWidget

[frames | no frames]

## Type ResizeWidget

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                       PyPanel --+
                                 |
                                ResizeWidget

Method Summary
| `__init__(self, *args, **kw)`
| `AddChild(self, child)`
| `AdjustToChild(self)`
| `AdjustToSize(self, size)`
| `DoGetBestSize(self)`
| `EnableResize(self, enable)`
| `GetManagedChild(self)`
| `IsResizeEnabled(self)`
| `OnLeftDown(self, evt)`
| `OnLeftUp(self, evt)`
| `OnMouseLeave(self, evt)`
| `OnMouseMove(self, evt)`
| `OnPaint(self, evt)`
| `OnSize(self, evt)`
| `RemoveChild(self, child)`
| `SetManagedChild(self, child)`

Property Summary
| `ManagedChild`

Property Details

### ManagedChild

  Get Method:
    `GetManagedChild`(self)
  Set Method:
    `SetManagedChild`(self, child)

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:53:27 2009 | http://epydoc.sf.net